function plotThresholds(model,thresholds)

	colors={'r' 'b' 'g' 'k' 'c' 'm' 'y' '-r' '-b' '-g' '-k'};
	marks={'+' '^' 'x' 's' 'o' 'd' 'v' '*' '.' 'o' 'd'};

	Applis=model.Applis;

	[probas mapping]=max(gmmlactiv(model.gmm,model.train.seq),[],2);	
	for t=1:length(thresholds)
		th=thresholds(t);
		uk(t)=1-sum(probas>th)/length(probas);
		infos(t).known=find(probas>th);
	end

	figure;
	hold all;
	p=plot(thresholds,uk,strcat('-',colors{1},marks{1}));
	set(p, 'LineWidth', 3,'markersize',10);

	for f=1:length(model.Applis)
		for t=1:length(thresholds)
			napp=sum(model.train.pathNum==f);
			knownapp=sum(model.train.pathNum(infos(t).known)==f);
			uk(t)=1-knownapp/napp;
		end
		p=plot(thresholds,uk,strcat('-',colors{f+1},marks{f+1}));
		set(p, 'LineWidth', 2,'markersize',8);
	end	
	
	my{1}='All set';
	for i=1:length(model.Applis)
		my{i+1}=model.Applis{i};
	end
	legend(my,'Location','NorthWest');
	xlabel('Threshold','fontsize',16);
	ylabel('Proportion of unknown','fontsize',16);
	title(sprintf('%d Packets',model.pkts));
		
	set(gca,'box','on');
	set(gca,'fontsize',12);
	
	set(gcf, 'PaperUnits', 'centimeters', 'PaperSize', [20 20])
	set(gcf, 'PaperUnit', 'normalized', 'PaperPosition', [0 0 1 1]);


end
